Returns an array with the names of included or required files

- « get_include_path

- get_loaded_extensions »

- PHP Manual
- PHP Options/Info Functions
- Returns an array with the names of included or required files

# get_included_files

(PHP 4, PHP 5, PHP 7, PHP 8)

get_included_files — Returns an array with the names of included or required files

### Description

get_included_files(): array

Gets the names of all files that have been included using include, include_once, require or require_once.

### Parameters

This function has no parameters.

### Return Values

Returns an array of the names of all files.

The script originally called is considered an "included file," so it will be listed together with the files referenced by include and family.

Files that are included or required multiple times only show up once in the returned array.

### Examples

Example #1 get_included_files() example

    <?php
    // This file is abc.php

    include 'test1.php';
    include_once 'test2.php';
    require 'test3.php';
    require_once 'test4.php';

    $included_files = get_included_files();

    foreach ($included_files as $filename) {
        echo "$filename\n";
    }

    ?>

The above example will output:

    /path/to/abc.php
    /path/to/test1.php
    /path/to/test2.php
    /path/to/test3.php
    /path/to/test4.php

### See Also

- include - include
- include_once - include_once
- require - require
- require_once - require_once
- get_required_files() - Alias of get_included_files